export function createLicenseBar(license, max_duration) {
    const container = document.createElement('div');
    container.className = 'license-bar';
    // License name and slot info
    const nameSection = document.createElement('div');
    nameSection.className = 'license-info';
    nameSection.innerHTML = `
        <div class="license-name">${license.licenseName}</div>
        <div class="slot-info">${license.usedSlots}/${license.totalSlots} slots</div>
    `;

    // Usage bars container
    const barsContainer = document.createElement('div');
    barsContainer.className = 'usage-bars';

    // Create bars for each slot
    for (let i = 0; i < license.totalSlots; i++) {
        const usage = license.usageDetails[i];

        const barWrapper = document.createElement('div');
        barWrapper.className = 'bar-wrapper';
        console.log(usage)

        if (!usage) {
            const bar = document.createElement('div');
            bar.className = 'bar free';
            const label = document.createElement('div');
            label.className = 'bar-label';
            label.textContent = 'AVAILABLE';
            bar.appendChild(label);
            bar.style.width = '100%';
            requestAnimationFrame(() => {
                label.style.transform = 'translate(0%)';
            });
            barWrapper.appendChild(bar);
        } else {
            const barContainer = document.createElement('div');
            barContainer.className = 'bar-container';

            const bar = document.createElement('div');
            bar.className = 'bar';
            const width = usage.duration / max_duration * 100;
            // 创建标签容器
            // const labelContainer = document.createElement('div');
            // labelContainer.className = 'label-container';

            // 用户信息标签
            const userLabel = document.createElement('div');
            userLabel.className = 'user-label';
            userLabel.textContent = usage.userName;

            const blankDiv = document.createElement('div');
            blankDiv.className = 'blank-div';
            blankDiv.textContent = ' ';

            // 时长标签
            const durationLabel = document.createElement('div');
            durationLabel.className = 'duration-label';
            durationLabel.textContent = `${usage.duration.toFixed(1)}h`;

            bar.appendChild(userLabel);
            bar.appendChild(blankDiv);
            bar.appendChild(durationLabel);

            barWrapper.appendChild(bar);

            requestAnimationFrame(() => {
                bar.style.width = `${width}%`;
                const barWidth = barWrapper.offsetWidth * width / 100;
                const userLabelWidth = userLabel.offsetWidth;
                const durationLabelWidth = durationLabel.offsetWidth;
                if (userLabelWidth + durationLabelWidth > barWidth) {
                    const newMargin = Math.max(8, barWidth - userLabelWidth);
                    blankDiv.style.width = `${newMargin - 8}px`;
                }
            });
        }

        barsContainer.appendChild(barWrapper);
    }

    container.appendChild(nameSection);
    container.appendChild(barsContainer);
    return container;
}