import { convertTimeToMinutes } from './timeConverter.js';

// 计算许可证的最大使用时长
function getMaxDuration(license) {
    if (!license.used_info.length) return 0;
    return Math.max(...license.used_info.map(info =>
        convertTimeToMinutes(info.login)
    ));
}

export function transformLicenseData(data) {
    // 转换并排序数据
    return Object.values(data)
        .map(license => ({
            licenseName: license.name,
            totalSlots: license.total,
            usedSlots: license.used,
            maxDuration: getMaxDuration(license),
            usageDetails: license.used_info.map(info => ({
                userName: info.user,
                hostName: info.host,
                duration: convertTimeToMinutes(info.login)
            }))
        }))
        .sort((a, b) => b.maxDuration - a.maxDuration); // 按最大使用时长降序排序
}